# Class Ranges

java.lang.Object
org.fressian.impl.Ranges

public class Ranges extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BYTE_CHUNK_SIZE`
`static final int`
`BYTES_PACKED_LENGTH_END`
`static final int`
`LIST_PACKED_LENGTH_END`
`static final long`
`PACKED_1_END`
`static final long`
`PACKED_1_START`
`static final long`
`PACKED_2_END`
`static final long`
`PACKED_2_START`
`static final long`
`PACKED_3_END`
`static final long`
`PACKED_3_START`
`static final long`
`PACKED_4_END`
`static final long`
`PACKED_4_START`
`static final long`
`PACKED_5_END`
`static final long`
`PACKED_5_START`
`static final long`
`PACKED_6_END`
`static final long`
`PACKED_6_START`
`static final long`
`PACKED_7_END`
`static final long`
`PACKED_7_START`
`static final int`
`PRIORITY_CACHE_PACKED_END`
`static final int`
`STRING_PACKED_LENGTH_END`
`static final int`
`STRUCT_CACHE_PACKED_END`

## Constructor Summary

Constructors
Constructor
Description
`Ranges()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PACKED_1_START

public static final long PACKED_1_START

See Also:
  - Constant Field Values

### PACKED_1_END

public static final long PACKED_1_END

See Also:
  - Constant Field Values

### PACKED_2_START

public static final long PACKED_2_START

See Also:
  - Constant Field Values

### PACKED_2_END

public static final long PACKED_2_END

See Also:
  - Constant Field Values

### PACKED_3_START

public static final long PACKED_3_START

See Also:
  - Constant Field Values

### PACKED_3_END

public static final long PACKED_3_END

See Also:
  - Constant Field Values

### PACKED_4_START

public static final long PACKED_4_START

See Also:
  - Constant Field Values

### PACKED_4_END

public static final long PACKED_4_END

See Also:
  - Constant Field Values

### PACKED_5_START

public static final long PACKED_5_START

See Also:
  - Constant Field Values

### PACKED_5_END

public static final long PACKED_5_END

See Also:
  - Constant Field Values

### PACKED_6_START

public static final long PACKED_6_START

See Also:
  - Constant Field Values

### PACKED_6_END

public static final long PACKED_6_END

See Also:
  - Constant Field Values

### PACKED_7_START

public static final long PACKED_7_START

See Also:
  - Constant Field Values

### PACKED_7_END

public static final long PACKED_7_END

See Also:
  - Constant Field Values

### PRIORITY_CACHE_PACKED_END

public static final int PRIORITY_CACHE_PACKED_END

See Also:
  - Constant Field Values

### STRUCT_CACHE_PACKED_END

public static final int STRUCT_CACHE_PACKED_END

See Also:
  - Constant Field Values

### BYTES_PACKED_LENGTH_END

public static final int BYTES_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### STRING_PACKED_LENGTH_END

public static final int STRING_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### LIST_PACKED_LENGTH_END

public static final int LIST_PACKED_LENGTH_END

See Also:
  - Constant Field Values

### BYTE_CHUNK_SIZE

public static final int BYTE_CHUNK_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### Ranges

public Ranges()